- Get Telegram Bot channel information
Get Instagram channel information
Get Facebook Messenger channel information
Get Viber Bot channel information
Get Telegram Bot channel...
Returns the information for a Telegram Bot channel linked to a Conversation API App.
Security
BasicAuth and BearerAuth and OAuth2Production
The unique ID of the project. You can find this on the Sinch Dashboard.
The unique ID of the app. You can find this on the Sinch Dashboard.
- Production serverhttps://provisioning.api.sinch.com/v1/projects/{projectId}/conversation/apps/{conversationAppId}/telegram
curl -i -X GET \
-u '<username>:<password>' \
'https://provisioning.api.sinch.com/v1/projects/{projectId}/conversation/apps/{conversationAppId}/telegram' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Telegram Bot information.
Channel integration status.
Enum:"ACTIVE""ERROR""FAILING""PENDING""UNRECOGNIZED"
If privacy mode is disabled for the bot.
Response
The information for the Telegram sender connected to the Conversation API App.
{ "status": "ACTIVE", "name": "Sinch", "username": "sinch_bot", "canJoinGroups": true, "canReadAllGroupMessages": false, "supportsInlineQueries": false }
We'd love to hear from you!
Rate this content: